FLANG

Public Member Functions | List of all members
Fortran::evaluate::ScalarConstantExpander Class Reference

## Public Member Functions
| ScalarConstantExpander (ConstantSubscripts &extents)
template<typename A >
A | Expand (A &&x) const
template<typename T >
Constant< T > | Expand (Constant< T > &&x)
template<typename T >
Expr< T > | Expand (Expr< T > &&x)

The documentation for this class was generated from the following file:

- lib/Evaluate/fold.cpp